javax.swing.event

## Interface ChangeListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    AbstractButton.ButtonChangeListener, BasicButtonListener, BasicMenuUI.ChangeHandler, BasicProgressBarUI.ChangeHandler, BasicScrollBarUI.ModelListener, BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener, BasicSliderUI.ChangeHandler, BasicTabbedPaneUI.TabSelectionHandler, JCheckBoxMenuItem.AccessibleJCheckBoxMenuItem, JMenu.AccessibleJMenu, JMenuItem.AccessibleJMenuItem, JRadioButtonMenuItem.AccessibleJRadioButtonMenuItem, JScrollPane.AccessibleJScrollPane, JSpinner.AccessibleJSpinner, JSpinner.DateEditor, JSpinner.DefaultEditor, JSpinner.ListEditor, JSpinner.NumberEditor, JTabbedPane.AccessibleJTabbedPane, JTabbedPane.ModelListener, ProgressMonitor.AccessibleProgressMonitor

      public interface ChangeListener
      extends EventListener

  Defines an object which listens for ChangeEvents.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stateChanged(ChangeEvent e)` Invoked when the target of the listener has changed its state.

- - ### Method Detail

    - #### stateChanged

          void stateChanged(ChangeEvent e)

      Invoked when the target of the listener has changed its state.
      Parameters:
        `e` - a ChangeEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.